Bug 78318 - X doesn't start up
X doesn't start up
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks: 79579 82784 CambridgeTarget
  Show dependency treegraph
 
Reported: 2002-11-21 02:21 EST by Ulrich Drepper
Modified: 2007-04-18 12:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-06 20:36:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Config file after the update (3.29 KB, text/plain)
2002-11-21 02:21 EST, Ulrich Drepper
no flags Details

  None (edit)
Description Ulrich Drepper 2002-11-21 02:21:00 EST
Description of Problem:

I've updated a system runing RHL8 to beta1.  The machine has a GeForce4 card and
was using the vesa driver.  After the update the XF86Config file still litst the
vesa driver as being used but X does not show any sign of life.


Version-Release number of selected component (if applicable):

XFree86-4.2.99.2-0.20021110.3

How Reproducible:

Always


Steps to Reproduce:
1. Start X on system updated from RHL8
2. 
3. 

Actual Results:

(EE) VESA(0): vm86() syscall generated signal 4.
(EE) Scnree(s) found, but non have a usable configuration.


Expected Results:

X starts up and shows nice pictures.


Additional Information:
	
This is a P4 UP HT machine running the SMP kernel (and therefore has two CPUs)
Comment 1 Ulrich Drepper 2002-11-21 02:21:41 EST
Created attachment 85864 [details]
Config file after the update
Comment 2 Ulrich Drepper 2002-11-21 02:27:47 EST
Maybe I should add that this is a GeForce4 card.
Comment 3 Mike A. Harris 2002-11-25 07:55:22 EST
Just for other people that might find this bug report as well...

For CVS XFree86, you should configure the card to use the "nv" driver,
instead of the "vesa" driver.  XFree86 CVS has native GeForce 4 support
now.

The vesa driver probably should still work also though, so I'll keep
this open to investigate with some Nvidia hardware.
Comment 4 Mike A. Harris 2002-12-18 16:06:59 EST
I'm wondering if kernel changes may be responsible for this perhaps?
Would NPTL or anything else potentially get in the way of vm86?
Comment 5 Alan Cox 2002-12-18 16:10:23 EST
NPTL might well have an impact on what is in the segment registers, especially if 
the XFree86 int code for VESA is not NPTL aware. May need some Xserver hacking

Comment 6 Ulrich Drepper 2003-10-06 20:36:46 EDT
The same machines run the final RHL9 and RC test2.  I'm closing the bug.  Must
have been temporary insanity on the side of the nv driver.

Note You need to log in before you can comment on or make changes to this bug.